### A free/open-source library for quantitative finance

Public Member Functions
CmsMarket Class Reference

set of CMS quotes More...

`#include <ql/termstructures/volatility/swaption/cmsmarket.hpp>`

Inheritance diagram for CmsMarket:
[legend]

List of all members.

## Public Member Functions

| CmsMarket (const std::vector< Period > &swapLengths, const std::vector< boost::shared_ptr< SwapIndex > > &swapIndexes, const boost::shared_ptr< IborIndex > &iborIndex, const std::vector< std::vector< Handle< Quote > > > &bidAskSpreads, const std::vector< boost::shared_ptr< HaganPricer > > &pricers, const Handle< YieldTermStructure > &discountingTS)
void | reprice (const Handle< SwaptionVolatilityStructure > &volStructure, Real meanReversion)
const std::vector< Period > & | swapTenors () const
const Matrix & | impliedCmsSpreads ()
const Matrix & | spreadErrors ()
Matrix | browse () const
Real | weightedSpreadError (const Matrix &weights)
Real | weightedSpotNpvError (const Matrix &weights)
Real | weightedFwdNpvError (const Matrix &weights)
Disposable< Array > | weightedSpreadErrors (const Matrix &weights)
Disposable< Array > | weightedSpotNpvErrors (const Matrix &weights)
Disposable< Array > | weightedFwdNpvErrors (const Matrix &weights)
LazyObject interface
void | update ()

## Detailed Description

set of CMS quotes

## Member Function Documentation

void update | ( |  | ) | `[virtual]`

This method must be implemented in derived classes. An instance of Observer does not call this method directly: instead, it will be called by the observables the instance registered with when they need to notify any changes.

Reimplemented from LazyObject.